> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read account numbers by account_guid

> Use this endpoint to check whether account number data is available for a specific account. This includes the transit number and institution number for Canadian institutions.    For compatibility purposes, a Canadian transit number may sometimes appear in the `routing_number` field. However, all new integrations should rely on the `transit_number` field for this information.



## OpenAPI

````yaml openapi/nexus/v1.yaml GET /accounts/{account_guid}/account_number
openapi: 3.0.0
info:
  contact:
    name: Nexus API
    url: https://www.mx.com
  version: 1.0.0
  title: Nexus API
  description: >-
    Legacy clients can use Nexus API for all their connectivity needs. If you
    are a new client refer to our Platform API. Review our [Nexus API
    Guides](/nexus) for more information.
servers:
  - url: https://int-data.moneydesktop.com/
  - url: https://data.moneydesktop.com/
security:
  - sessionToken: []
tags:
  - name: accounts
  - name: beats
  - name: budgets
  - name: categories
  - name: extended transaction history
  - name: goals
  - name: holdings
  - name: identity
  - name: insights
  - name: institutions
  - name: jobs
  - name: member credentials
  - name: members
  - name: merchants
  - name: microdeposits
  - name: monthly cash flow profile
  - name: notifications
  - name: scheduled payments
  - name: sessions
  - name: spending plan
  - name: taggings
  - name: tags
  - name: transaction rules
  - name: transactions
  - name: user
  - name: verification
paths:
  /accounts/{account_guid}/account_number:
    get:
      tags:
        - verification
      summary: Read account numbers by account_guid
      description: >-
        Use this endpoint to check whether account number data is available for
        a specific account. This includes the transit number and institution
        number for Canadian institutions.    For compatibility purposes, a
        Canadian transit number may sometimes appear in the `routing_number`
        field. However, all new integrations should rely on the `transit_number`
        field for this information.
      operationId: readAccountNumbersByAccount
      parameters:
        - name: account_guid
          description: The unique identifier for the account. Defined by MX.
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/AccountNumbersResponseBody'
          description: OK
components:
  schemas:
    AccountNumbersResponseBody:
      properties:
        account_numbers:
          items:
            $ref: '#/components/schemas/AccountNumbersResponse'
          type: array
      type: object
    AccountNumbersResponse:
      properties:
        account_guid:
          example: ACT-82ac32b4-06e6-48a9-8440-17e49bb3d720
          description: >-
            The unique identifier for the account associated with a particular
            set of account and routing numbers. Defined by MX.
          type: string
        account_number:
          example: 1174165092
          description: The banking account number associated with a particular account.
          type: string
        institution_number:
          example: null
          description: The three-digit number identifying a Canadian banking institution.
          type: string
        member_guid:
          example: MBR-84ca0882-ad6c-4f10-817f-c8c0de7424fa
          description: >-
            The unique identifier for the member associated with a particular
            set of account and routing numbers. Defined by MX.
          type: string
        passed_validation:
          example: true
          description: >-
            This indicates whether the account and routing numbers passed MX's
            internal validity checks. If true, the account and routing or
            transit numbers are likely but not guaranteed to be valid. If false,
            either the account number, routing or transit number, or both are
            likely invalid.
          type: boolean
        routing_number:
          example: 998007868
          description: >-
            The routing number for the financial institution associated with the
            account.
          type: string
        transit_number:
          example: null
          description: >-
            The five-digit number identifying the branch of a Canadian financial
            institution.
          type: string
        user_guid:
          example: USR-11141024-90b3-1bce-cac9-c06ced52ab4c
          description: >-
            The unique identifier for the user associated with a particular set
            of account and routing numbers. Defined by MX.
          type: string
  securitySchemes:
    sessionToken:
      description: >
        ### MX Session Token 

        - Request an API token using the read API token endpoint in the MX SSO
        API.

        - Exchange an API token for a session token. 
          - A session token is obtained by sending a POST request to /sessions
          - The session token will be used in each request made for the user. It should be passed in an `MD-SESSION-TOKEN` HTTP header as shown below.
          - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
          - If you send a request with an expired session token you'll receive an error code of `4011`.

        ```

        curl -i https://int-data.moneydesktop.com/accounts \

        -H 'MD-SESSION-TOKEN:
        CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg'
        \

        -H 'Content-Type: application/vnd.mx.nexus.v1+json' \

        -H 'Accept: application/vnd.mx.nexus.v1+json'

        ```


        In documentation code examples, replace `<API_KEY_VALUE>` with the
        session token.
      type: apiKey
      name: MD-SESSION-TOKEN
      in: header

````